# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.90"
name = "eth"
version = "0.21.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "no_std-first Ethereum execution-layer protocol toolkit facade."
homepage = "https://github.com/valkyoth/eth"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/valkyoth/eth"

[features]
default = []
evm = ["dep:eth-valkyoth-evm"]
reth = ["dep:eth-valkyoth-reth"]
rpc = ["dep:eth-valkyoth-rpc"]
sanitization = ["dep:eth-valkyoth-sanitization"]
signer = ["dep:eth-valkyoth-signer"]
std = [
    "eth-valkyoth-codec/std",
    "eth-valkyoth-hash/std",
    "eth-valkyoth-primitives/std",
    "eth-valkyoth-protocol/std",
    "eth-valkyoth-verify/std",
]
testkit = ["dep:eth-valkyoth-testkit"]

[lib]
name = "eth"
path = "src/lib.rs"

[dependencies.eth-valkyoth-codec]
version = "0.16.0"

[dependencies.eth-valkyoth-evm]
version = "0.7.0"
optional = true

[dependencies.eth-valkyoth-hash]
version = "0.10.0"

[dependencies.eth-valkyoth-primitives]
version = "0.10.1"

[dependencies.eth-valkyoth-protocol]
version = "0.18.0"

[dependencies.eth-valkyoth-reth]
version = "0.7.0"
optional = true

[dependencies.eth-valkyoth-rpc]
version = "0.7.0"
optional = true

[dependencies.eth-valkyoth-sanitization]
version = "0.7.1"
optional = true

[dependencies.eth-valkyoth-signer]
version = "0.7.0"
optional = true

[dependencies.eth-valkyoth-testkit]
version = "0.7.0"
optional = true

[dependencies.eth-valkyoth-verify]
version = "0.10.0"

[lints.clippy]
arithmetic_side_effects = "forbid"
cast_possible_truncation = "deny"
cast_sign_loss = "deny"
expect_used = "forbid"
indexing_slicing = "forbid"
panic = "forbid"
undocumented_unsafe_blocks = "forbid"
unwrap_used = "forbid"

[lints.rust]
missing_docs = "deny"
unsafe_code = "forbid"
unsafe_op_in_unsafe_fn = "forbid"
unused_must_use = "deny"
